#
# spec file for package termotp
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           termotp
Version:        0.0.9
Release:        1.2
Summary:        A TOTP code generator for your terminal
License:        Apache-2.0
Group:          Productivity/Security
URL:            https://github.com/marcopaganini/termotp
Source:         %{name}-%{version}.tar.gz
Source1:        vendor.tar.gz
BuildRequires:  golang-packaging

%description
termotp reads an encrypted vault export from your TOTP Android App (currently, only Aegis Authenticator is supported) and displays issuers, providers and a TOTP for each of them. The program uses no database and reads directly from the App export. Since backups are encrypted, your credentials never stay on the disk unencrypted. It's basically a pure terminal based way to generate TOTP tokens while keeping your credentials encrypted.

%prep
%setup -q -a 1

%build
go build \
   -mod=vendor \
   -buildmode=pie

%install
install -D -m0755 %{name} %{buildroot}%{_bindir}/%{name}

%files
%{_bindir}/%{name}
%doc README.md

%changelog
* Mon Mar 18 2024 Michael Vetter <mvetter@suse.com>
- Update to 0.0.9:
  * 68f5fdb: Turn off automerge in --plain mode.
  * 28cf034: Add JSON output support.
* Fri Mar 15 2024 Michael Vetter <mvetter@suse.com>
- Update to 0.0.8:
  * b082c57: Also accept passwords from stdin.
* Thu Mar  7 2024 Michael Vetter <mvetter@suse.com>
- Update to 0.0.7:
  * cc2eee8: Add support to save/read password to/from keyring.
  * 691479f: Small text improvement.
* Tue Feb 20 2024 Michael Vetter <mvetter@suse.com>
- Update to 0.0.6:
  * 47870d6: Add darwin/amd64 and darwin/arm64 builds.
  * 6af0316: Update README with new flags.
* Sat Feb 17 2024 Michael Vetter <mvetter@suse.com>
- Update to 0.0.5:
  * d914359: Improve README.md.
  * 00fd244: Fix repo name for installer in README.md
  * b089391: More documentation improvements.
  * 282bca9: Added why termotp section and similar programs.
  * 5f63c38: Fix tipo in a comment.
  * 05bc615: Add goreportcard badge.
  * 4eb742c: Add fzf support
* Sun Feb 12 2023 Michael Vetter <mvetter@suse.com>
- Initial package of termotp 0.0.4 for openSUSE
